Fix avahi compilation failures with inotify (#2936)
authorFlorian Fainelli <florian@openwrt.org>
Wed, 16 Jan 2008 10:09:28 +0000 (10:09 +0000)
committerFlorian Fainelli <florian@openwrt.org>
Wed, 16 Jan 2008 10:09:28 +0000 (10:09 +0000)
SVN-Revision: 10209

libs/avahi/patches/000-inotify.patch [new file with mode: 0644]

diff --git a/libs/avahi/patches/000-inotify.patch b/libs/avahi/patches/000-inotify.patch
new file mode 100644 (file)
index 0000000..47bec50
--- /dev/null
@@ -0,0 +1,255 @@
+diff -Nur avahi-0.6.21.orig/configure avahi-0.6.21/configure
+--- avahi-0.6.21.orig/configure        2007-08-12 09:08:57.000000000 -0700
++++ avahi-0.6.21/configure     2008-01-08 13:56:12.000000000 -0800
+@@ -917,8 +917,6 @@
+ ENABLE_CHROOT_FALSE
+ HAVE_DLOPEN_TRUE
+ HAVE_DLOPEN_FALSE
+-HAVE_INOTIFY_TRUE
+-HAVE_INOTIFY_FALSE
+ HAVE_KQUEUE_TRUE
+ HAVE_KQUEUE_FALSE
+ have_pkg_config
+@@ -5757,7 +5755,7 @@
+   ;;
+ *-*-irix6*)
+   # Find out which ABI we are using.
+-  echo '#line 5760 "configure"' > conftest.$ac_ext
++  echo '#line 5758 "configure"' > conftest.$ac_ext
+   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+@@ -7784,11 +7782,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:7787: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:7785: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:7791: \$? = $ac_status" >&5
++   echo "$as_me:7789: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -8052,11 +8050,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8055: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8053: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:8059: \$? = $ac_status" >&5
++   echo "$as_me:8057: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -8156,11 +8154,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8159: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8157: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:8163: \$? = $ac_status" >&5
++   echo "$as_me:8161: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -10453,7 +10451,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 10456 "configure"
++#line 10454 "configure"
+ #include "confdefs.h"
+ #if HAVE_DLFCN_H
+@@ -10553,7 +10551,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 10556 "configure"
++#line 10554 "configure"
+ #include "confdefs.h"
+ #if HAVE_DLFCN_H
+@@ -12889,11 +12887,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:12892: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:12890: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:12896: \$? = $ac_status" >&5
++   echo "$as_me:12894: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -12993,11 +12991,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:12996: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:12994: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:13000: \$? = $ac_status" >&5
++   echo "$as_me:12998: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -14554,11 +14552,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:14557: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:14555: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:14561: \$? = $ac_status" >&5
++   echo "$as_me:14559: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -14658,11 +14656,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:14661: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:14659: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:14665: \$? = $ac_status" >&5
++   echo "$as_me:14663: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -16845,11 +16843,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:16848: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:16846: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:16852: \$? = $ac_status" >&5
++   echo "$as_me:16850: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -17113,11 +17111,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:17116: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:17114: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:17120: \$? = $ac_status" >&5
++   echo "$as_me:17118: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -17217,11 +17215,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:17220: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:17218: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:17224: \$? = $ac_status" >&5
++   echo "$as_me:17222: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -24969,25 +24967,6 @@
+ done
+-
+-
+-if test "x$have_inotify" = "xyes"; then
+-  HAVE_INOTIFY_TRUE=
+-  HAVE_INOTIFY_FALSE='#'
+-else
+-  HAVE_INOTIFY_TRUE='#'
+-  HAVE_INOTIFY_FALSE=
+-fi
+-
+-
+-if test "x$have_inotify" = "xyes" ; then
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define HAVE_INOTIFY 1
+-_ACEOF
+-
+-fi
+-
+ have_kqueue=yes
+ for ac_func in kqueue
+@@ -30707,13 +30686,6 @@
+ Usually this means the macro was only invoked conditionally." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+-if test -z "${HAVE_INOTIFY_TRUE}" && test -z "${HAVE_INOTIFY_FALSE}"; then
+-  { { echo "$as_me:$LINENO: error: conditional \"HAVE_INOTIFY\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&5
+-echo "$as_me: error: conditional \"HAVE_INOTIFY\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+ if test -z "${HAVE_KQUEUE_TRUE}" && test -z "${HAVE_KQUEUE_FALSE}"; then
+   { { echo "$as_me:$LINENO: error: conditional \"HAVE_KQUEUE\" was never defined.
+ Usually this means the macro was only invoked conditionally." >&5
+@@ -31776,8 +31748,6 @@
+ ENABLE_CHROOT_FALSE!$ENABLE_CHROOT_FALSE$ac_delim
+ HAVE_DLOPEN_TRUE!$HAVE_DLOPEN_TRUE$ac_delim
+ HAVE_DLOPEN_FALSE!$HAVE_DLOPEN_FALSE$ac_delim
+-HAVE_INOTIFY_TRUE!$HAVE_INOTIFY_TRUE$ac_delim
+-HAVE_INOTIFY_FALSE!$HAVE_INOTIFY_FALSE$ac_delim
+ HAVE_KQUEUE_TRUE!$HAVE_KQUEUE_TRUE$ac_delim
+ HAVE_KQUEUE_FALSE!$HAVE_KQUEUE_FALSE$ac_delim
+ have_pkg_config!$have_pkg_config$ac_delim
+@@ -31822,6 +31792,8 @@
+ PYTHON_VERSION!$PYTHON_VERSION$ac_delim
+ PYTHON_PREFIX!$PYTHON_PREFIX$ac_delim
+ PYTHON_EXEC_PREFIX!$PYTHON_EXEC_PREFIX$ac_delim
++PYTHON_PLATFORM!$PYTHON_PLATFORM$ac_delim
++pythondir!$pythondir$ac_delim
+ _ACEOF
+   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+@@ -31863,8 +31835,6 @@
+ ac_delim='%!_!# '
+ for ac_last_try in false false false false false :; do
+   cat >conf$$subs.sed <<_ACEOF
+-PYTHON_PLATFORM!$PYTHON_PLATFORM$ac_delim
+-pythondir!$pythondir$ac_delim
+ pkgpythondir!$pkgpythondir$ac_delim
+ pyexecdir!$pyexecdir$ac_delim
+ pkgpyexecdir!$pkgpyexecdir$ac_delim
+@@ -31957,7 +31927,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
++  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 90; then
+     break
+   elif $ac_last_try; then
+     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5